## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesElementWrapperAllocator Class Reference

`#include <XercesElementWrapperAllocator.hpp>`

Collaboration diagram for XercesElementWrapperAllocator:

List of all members.

## Public Types

- typedef XercesElementWrapper ObjectType
- typedef ArenaAllocator<ObjectType> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XercesElementWrapperAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XercesElementWrapperAllocator ()
- ObjectType* create ( const DOMElementType* theXercesElement, const XercesWrapperNavigator& theNavigator)
    Create a XercesElementWrapper instance. More...
- void reset ()
    Delete all objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ArenaAllocator<ObjectType> XercesElementWrapperAllocator::ArenaAllocatorType

typedef XercesElementWrapper XercesElementWrapperAllocator::ObjectType

typedef ArenaAllocatorType::size_type XercesElementWrapperAllocator::size_type

## Constructor & Destructor Documentation

XercesElementWrapperAllocator::XercesElementWrapperAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XercesElementWrapperAllocator::~XercesElementWrapperAllocator ( | )

## Member Function Documentation

ObjectType * XercesElementWrapperAllocator::create ( | const DOMElementType * theXercesElement,
| const XercesWrapperNavigator & theNavigator )

Create a XercesElementWrapper instance.

Parameters:

  theXercesElement | The Xerces element node
  theNavigator | The navigator for this instance.

Returns:
  pointer to the instance

size_type XercesElementWrapperAllocator::getBlockCount ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XercesElementWrapperAllocator::getBlockSize ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

void XercesElementWrapperAllocator::reset ( | )

Delete all objects from allocator.

The documentation for this class was generated from the following file:

- XercesElementWrapperAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.